RFR: 8175091: Mark the deprecated java.security.{Certificate,Identity,IdentityScope,Signer} APIs with forRemoval=true

Weijun Wang weijun.wang at oracle.com
Mon Nov 13 23:55:54 UTC 2017


Change looks fine.

Thanks
Max

> On Nov 14, 2017, at 1:49 AM, Sean Mullan <sean.mullan at oracle.com> wrote:
> 
> Please review this JDK 10 change to mark the deprecated java.security.{Certificate,Identity,IdentityScope,Signer} APIs with forRemoval=true. These APIs will be removed from a subsequent version of Java SE. They have been deprecated since 1.2 and superseded by java.security.cert, java.security.KeyStore and related classes since 1.2. It is no longer necessary to retain these classes.
> 
> webrev: http://cr.openjdk.java.net/~mullan/webrevs/8175091/webrev.00/
> issue: https://bugs.openjdk.java.net/browse/JDK-8175091
> 
> --Sean



More information about the security-dev mailing list